%define builddate %(date +"%Y%m%d")
%global commit0 606c547e4e523ce6ec67f1f5142532b0975b319a
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global checkout %{builddate}git%{shortcommit0}

Name:		apngasm
Version:	3.1.7
Release:	2.%{checkout}%{?dist}
Summary:	The next generation of apngasm, the APNG Assembler

Group:		Applications/Multimedia
License:	zlib
URL:		https://github.com/apngasm/%{name}
Source0:	https://github.com/apngasm/%{name}/archive/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz

BuildRequires:	cmake,gcc-c++,libpng-devel,boost-devel
Requires:	libpng,boost

%description
APNG Assembler creates APNG animations from PNG/TGA image sequences.


%prep
%autosetup -n %{name}-%{commit0}


%build
%cmake -DMANDIR:PATH=%{_mandir} .
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}/%{_mandir}
mv %{buildroot}/usr/man/man1 %{buildroot}/%{_mandir}


%check
ctest -V %{?_smp_mflags}


%files
%doc README.md cli/DESCRIPTION.txt cli/LICENSE.txt
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*
%{_mandir}/*


%changelog
* Wed Oct 31 2018 drgraham - 3.1.7-2
- Rebuild for Fedora 29
- Catch up to master
- Add gcc to BuildRequires

* Wed Mar 28 2018 drgraham - 3.1.7-1
- Rebuild for Fedora 28
- Catch up to master

* Sun Sep 10 2017 drgraham - 3.1.6-4
- Catch up to master

* Thu Feb 09 2017 drgraham - 3.1.6-3
- Include commits since last release

* Mon Sep 19 2016 drgraham - 3.1.6-2
- Rebuild for Fedora 24
- Include commits since last release
- Remove patch0

* Wed Sep 02 2015 drgraham - 3.1.6-1
- Initial packaging for Fedora
